Downgrading versions?

Started by Murply on Mon, 12/02/2019 - 21:36

Topic category: Help with modding (Java Edition)

Last seen on 05:13, 8. Mar 2020
Joined Sep 2019
User points:

User statistics:

  • Modifications:
  • Forum topics:
  • Wiki pages:
  • Tracker tickets:
  • MCreator plugins:
  • Comments:
Downgrading versions?
Mon, 12/02/2019 - 21:36

So I have created a mod for 1.12.2- It is literally only block textures so it's nothing big, but there are a lot of textures. I want to have a server that is in 1.10.2, instead of 1.12.2, but don't want to have to recreate this entire mod because that would be a pain. Is there a way to downgrade my mod of just block textures from 1.12.2 to 1.10.2?

Last seen on 00:48, 23. Aug 2020
Joined Mar 2018
User points:

User statistics:

  • Modifications:
  • Forum topics:
  • Wiki pages:
  • Tracker tickets:
  • MCreator plugins:
  • Comments:
Hello, It’s currently not…
Mon, 12/02/2019 - 22:31

Hello,

It’s currently not possible to do this and it’s highly unlikely it will be added as an option in the future as there isn’t much demand for mods for 1.10.2 which would warrant the work required to add this in.

Leon

Last seen on 05:13, 8. Mar 2020
Joined Sep 2019
User points:

User statistics:

  • Modifications:
  • Forum topics:
  • Wiki pages:
  • Tracker tickets:
  • MCreator plugins:
  • Comments:
Is there any way to make it…
Mon, 12/02/2019 - 22:55

Is there any way to make it work for 1.10.2? I would love to use 1.12.2 but moreplayermodels doesn't work on the server I'm using, so I'd like to downgrade to a stable version of mpm, and bring the mod I made with it. 

 

(Basically others on the server can't see others animations and usually can't see others skins that have been linked through mpm, the mod is on the server and client so that's another issue in itself)

Last seen on 00:48, 23. Aug 2020
Joined Mar 2018
User points:

User statistics:

  • Modifications:
  • Forum topics:
  • Wiki pages:
  • Tracker tickets:
  • MCreator plugins:
  • Comments:
Hi Murply, Through MCreator…
Mon, 12/02/2019 - 23:21

Hi Murply,

Through MCreator.. I would say no, however, I wouldn’t say it’s impossible using something more advanced if you have the patience to learn how to build a mod from the ground up I.e. coding with eclipse. Obviously depending on your knowledge of coding this could be a lot of work you would have to consider whether it is worth it.

I’m no expert on coding so I wouldn’t be the best person to advise but maybe someone could have a work around.

Hope you find a solution!

Leon

Last seen on 21:39, 3. Jun 2020
Joined Jan 2020
User points:

User statistics:

  • Modifications:
  • Forum topics:
  • Wiki pages:
  • Tracker tickets:
  • MCreator plugins:
  • Comments:
is it possible to make a 1…
Mon, 01/27/2020 - 18:26

is it possible to make a 1.14.4 go to 1.7.10 so i can play with orespawn?